package com.ruoyi.project.invoice.service;

import com.ruoyi.project.invoice.domain.TInvoiceUserUnit;

import java.util.List;

/**
 * 用户单位管理Service接口
 *
 * @author ruoyi
 * @date 2022-09-07
 */
public interface ITInvoiceUserUnitService
{
    /**
     * 查询用户单位管理
     *
     * @param id 用户单位管理ID
     * @return 用户单位管理
     */
    public TInvoiceUserUnit selectTInvoiceUserUnitById(Long id);

    /**
     * 查询用户单位管理列表
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 用户单位管理集合
     */
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitList(TInvoiceUserUnit tInvoiceUserUnit);

    public List<TInvoiceUserUnit> selectTInvoiceUserUnitListToExcel(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 新增用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    public int insertTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 修改用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    public int updateTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 批量删除用户单位管理
     *
     * @param ids 需要删除的用户单位管理ID
     * @return 结果
     */
    public int deleteTInvoiceUserUnitByIds(Long[] ids);

    /**
     * 删除用户单位管理信息
     *
     * @param id 用户单位管理ID
     * @return 结果
     */
    public int deleteTInvoiceUserUnitById(Long id);

    /**
     * 根据用户单位查询对应信息
     *
     * @param id 用户单位管理
     * @return
     */
    List<TInvoiceUserUnit> selectTInvoiceUserUnitByUnit(String userUnit);
    List<TInvoiceUserUnit> selectAllTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);
}
